Loading...
Searching...
No Matches
ID3D12QueryHeapVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12QueryHeap *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12QueryHeap _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes

ID3D12QueryHeap * | This
ID3D12QueryHeap _In_ REFGUID | guid
ID3D12QueryHeap _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12QueryHeap _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12QueryHeap _In_ REFGUID _In_ UINT | DataSize
ID3D12QueryHeap _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12QueryHeap _In_z_ LPCWSTR | Name
ID3D12QueryHeap REFIID | riid
ID3D12QueryHeap REFIID _COM_Outptr_opt_ void ** | ppvDevice

## Detailed Description

Definition at line 5680 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12QueryHeapVtbl::BEGIN_INTERFACE | ( | ID3D12QueryHeap * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_opt_()

ID3D12QueryHeap _In_ REFGUID _In_ UINT ID3D12QueryHeapVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

References _In_, DataSize, guid, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

ID3D12QueryHeap * ID3D12QueryHeapVtbl::This

Definition at line 5691 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), and BEGIN_INTERFACE().

## guid

ID3D12QueryHeap _In_ REFGUID ID3D12QueryHeapVtbl::guid

Definition at line 5700 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pDataSize

ID3D12QueryHeap _In_ REFGUID _Inout_ UINT* ID3D12QueryHeapVtbl::pDataSize

Definition at line 5701 of file mini_d3d12.h.

## pData [1/2]

ID3D12QueryHeap _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12QueryHeapVtbl::pData

Definition at line 5702 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## DataSize

ID3D12QueryHeap _In_ REFGUID _In_ UINT ID3D12QueryHeapVtbl::DataSize

Definition at line 5708 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pData [2/2]

ID3D12QueryHeap _In_ REFGUID _In_opt_ const IUnknown* ID3D12QueryHeapVtbl::pData

Definition at line 5715 of file mini_d3d12.h.

## Name

ID3D12QueryHeap _In_z_ LPCWSTR ID3D12QueryHeapVtbl::Name

Definition at line 5720 of file mini_d3d12.h.

## riid

ID3D12QueryHeap REFIID ID3D12QueryHeapVtbl::riid

Definition at line 5725 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppvDevice

ID3D12QueryHeap REFIID _COM_Outptr_opt_ void** ID3D12QueryHeapVtbl::ppvDevice

Definition at line 5726 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h